    NAME
         sge_qmaster - Grid Engine master control daemon

    SYNOPSIS
         sge_qmaster [ -help ]  [  -lj  log_file  ]  [  -nohist  ]  [
         -nostart-commd ] [ -s ] [

         sge_qmaster -show-license

    DESCRIPTION
         sge_qmaster controls the overall Grid Engine behavior  in  a
         cluster.  For  the  purpose  of  scheduling jobs sge_qmaster
         cooperates with sge_schedd(8).  At start-up  of  sge_qmaster
         sge_commd(8) is usually brought up automatically on the same
         machine (if not already present).

    OPTIONS
         -help
              Prints  a listing of all options.

         -lj log_file
              Enables job logging. All actions taken  by  sge_qmaster
              from  submit  to  job  exit are logged to the log_file.
              This feature is also available  with  the  sge_execd(8)
              daemon.

         -nohist
              During usual operation sge_qmaster dumps a  history  of
              queue, complex and host configuration changes to a his-
              tory database. This database is primarily used with the
              qacct(1)  command to allow for qsub(1) like -l resource
              requests in  the  qacct(1)  command-line.  This  switch
              suppresses writing to this database.

         -nostart-commd
              Do  not  start-up   sge_commd(8)   automatically   with
              sge_qmaster.

         -s   turns on sge_qmasters silent mode. Usually  sge_qmaster
              displays a license information on startup and waits for
              a return to continue. With the  -s  switch  sge_qmaster
              starts up silently.

    ENVIRONMENTAL VARIABLES
         SGE_ROOT       Specifies the location  of  the  Grid  Engine
                        standard configuration files.

         SGE_CELL       If set, specifies  the  default  Grid  Engine
                        cell.   To   address   a   Grid  Engine  cell
                        sge_qmaster  uses  (in  the  order  of   pre-
                        cedence):

                             The name of the cell  specified  in  the
                             environment  variable SGE_CELL, if it is
                             set.

                             The  name  of  the  default  cell,  i.e.
                             default.

         SGE_DEBUG_LEVEL
                        If  set,  specifies  that  debug  information
                        should  be written to stderr. In addition the
                        level of detail in which debug information is
                        generated is defined.

         COMMD_PORT     If set,  specifies  the  tcp  port  on  which
                        sge_commd(8)  is  expected to listen for com-
                        munication requests.  Most installations will
                        use  a  services  map entry instead to define
                        that port.

    RESTRICTIONS
         sge_qmaster is usually started from root on  the  master  or
         shadow  master  machines  of  the cluster (refer to the Grid
         Engine Installation and Administration Guide for more infor-
         mation  about the configuration of shadow master hosts).  If
         started by a normal user, a master spool directory  must  be
         used  to  which the user has read/write access. In this case
         only jobs being submitted by  that  same  user  are  treated
         correctly by the system.

    FILES
         <sge_root>/<cell>/common/configuration
                         Grid Engine global configuration
         <sge_root>/<cell>/common/local_conf/<host>
                         Grid Engine host specific configuration
         <sge_root>/<cell>/common/history
                         History database
         <sge_root>/<cell>/common/qmaster_args
                         sge_qmaster argument file
         <sge_root>/<cell>/spool
                         Default master spool directory

    SEE ALSO
         sge_intro(1),   sge_conf(5),   sge_commd(8),   sge_execd(8),
         sge_schedd(8),  sge_shadowd(8), Grid Engine Installation and
         Administration Guide

    COPYRIGHT
         See sge_intro(1) for a full statement of rights and  permis-
         sions.